Package org.apache.lucene.queries.function.valuesource

## Class DivFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.DualFloatFunction
    - - org.apache.lucene.queries.function.valuesource.DivFloatFunction

-     public class DivFloatFunction
      extends DualFloatFunction

  Function to divide "a" by "b"

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.DualFloatFunction

      `a, b`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DivFloatFunction​(ValueSource a, ValueSource b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected float` | `func​(int doc, FunctionValues aVals, FunctionValues bVals)` |
    `protected String` | `name()` |

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.DualFloatFunction

      `createWeight, description, equals, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DivFloatFunction

          public DivFloatFunction​(ValueSource a,
                                  ValueSource b)

      Parameters:
        `a` - the numerator.
        `b` - the denominator.

  - ### Method Detail

    - #### name

          protected String name()

      Specified by:
        `name` in class `DualFloatFunction`

    - #### func

          protected float func​(int doc,
                               FunctionValues aVals,
                               FunctionValues bVals)
                        throws IOException

      Specified by:
        `func` in class `DualFloatFunction`
      Throws:
        `IOException`